# $Revision: 1.106 $, $Date: 2012/06/12 19:36:37 $
%define		subver	2012-01-25a
%define		ver		%(echo %{subver} | tr -d -)
%define		php_min_version 5.2.4
%include	/usr/lib/rpm/macros.php
Summary:	PHP-based Wiki webapplication
Summary(pl.UTF-8):	Aplikacja WWW Wiki oparta na PHP
Name:		dokuwiki
Version:	%{ver}
Release:	1
License:	GPL v2
Group:		Applications/WWW
Source0:	http://www.splitbrain.org/_media/projects/dokuwiki/%{name}-%{subver}.tgz
# Source0-md5:	aea520bd7bb61f7ecd3322e479cd8047
Source1:	%{name}-apache.conf
Source2:	%{name}-lighttpd.conf
Source3:	http://glen.alkohol.ee/pld/jude.png
# Source3-md5:	623344128960e18f86097dfee213ad4a
Source4:	eventum.gif
Source5:	http://forum.skype.com/style_emoticons/skype/skype.png
# Source5-md5:	25c355be038267dc9fdb724b628000b9
Source6:	pld_button.png
# Source6-md5:	185afa921e81bd726b9f0f9f0909dc6e
Source7:	cacti.gif
Source8:	nagios.gif
Source9:	http://trac.edgewall.org/export/9404/trunk/doc/trac_icon_16x16.png
# Source9-md5:	0c19ed35bf677f33f6bea14b3a8a2e10
Source10:	pld.gif
Source11:	http://glen.alkohol.ee/pld/astah.png
# Source11-md5:	b1c999e6988440c9e2af6a12e9a56451
Patch66:	%{name}-config.patch
Patch0:		%{name}-paths.patch
Patch3:		%{name}-config-allow-require.patch
Patch4:		%{name}-geshi.patch
Patch5:		%{name}-http_auth-option.patch
Patch6:		%{name}-nice_exit.patch
Patch8:		%{name}-notify-respect-minor.patch
Patch10:	%{name}-mailtext.patch
Patch11:	%{name}-notifyns.patch
Patch12:	%{name}-mailthreads.patch
Patch13:	%{name}-media-directlink.patch
Patch14:	interwiki-outputonly.patch
Patch15:	simplepie.patch
Patch18:	install.patch
Patch19:	pld-branding.patch
Patch20:	fixprivilegeescalationbug.diff
Patch21:	task-1821.patch
Patch22:	adldap.patch
Patch23:	backlink-rightside.patch
Patch24:	more-buttons.patch
URL:		http://www.dokuwiki.org/dokuwiki
BuildRequires:	fslint
BuildRequires:	rpm-php-pearprov >= 4.4.2-11
BuildRequires:	rpmbuild(macros) >= 1.520
Requires:	php-common >= 4:%{php_min_version}
Requires:	php-geshi >= 1.0.7.19
Requires:	php-session
Requires:	php-simplepie >= 1.0.1
Requires:	php-xml
Requires:	webapps
Requires:	webserver(access)
Requires:	webserver(alias)
Requires:	webserver(php)
Suggests:	php-adldap >= 3.3.1
Suggests:	php-gd
Obsoletes:	dokuwiki-plugin-jquery
# can use gz compression to store attic pages
Suggests:	php-zlib
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_webapps	/etc/webapps
%define		_webapp		%{name}
%define		_sysconfdir	%{_webapps}/%{_webapp}
%define		_appdir		%{_datadir}/%{_webapp}
%define		_localstatedir	/var/lib/%{name}
%define		find_lang 	%{_usrlibrpm}/dokuwiki-find-lang.sh %{buildroot}

# bad depsolver
%define		_noautopear	'pear(/usr/share/php/geshi.php)' 'pear(/usr/share/php/adLDAP.php)'

# exclude optional php dependencies
%define		_noautophp	php-bzip2 php-bcmath php-zip php-date php-ftp php-hash php-ldap php-mbstring php-mysql php-pgsql php-tokenizer

%define		_noautoreq	%{_noautophp} %{_noautopear}

%description
DokuWiki is a standards compliant, simple to use Wiki, mainly aimed at
creating documentation of any kind. It is targeted at developer teams,
workgroups and small companies. It has a simple but powerful syntax
which makes sure the datafiles remain readable outside the Wiki and
eases the creation of structured texts. All data is stored in plain
text files - no database is required.

%description -l pl.UTF-8
DokuWiki to zgodne ze standardami i proste w użyciu Wiki, przeznaczone
głównie do tworzenia dokumentów wszelkiego rodzaju. Jest przeznaczone
dla zespołów programistów, grup roboczych i małych firm. Ma prostą,
ale mającą duże możliwości składnię, dzięki której pliki danych
pozostają czytelne poza Wiki, a także ułatwiającą tworzenie tekstów
strukturalnych. Wszystkie dane są przechowywane w plikach tekstowych -
nie jest wymagana baza danych.

%package setup
Summary:	DokuWiki setup package
Summary(pl.UTF-8):	Pakiet do wstępnej konfiguracji DokuWiki
Group:		Applications/WWW
Requires:	%{name} = %{version}-%{release}

%description setup
Install this package to configure initial DokuWiki installation. You
should uninstall this package when you're done, as it considered
insecure to keep the setup files in place.

%description setup -l pl.UTF-8
Ten pakiet należy zainstalować w celu wstępnej konfiguracji DokuWiki
po pierwszej instalacji. Potem należy go odinstalować, jako że
pozostawienie plików instalacyjnych mogłoby być niebezpieczne.

%prep
%setup -q -n %{name}-%{subver}
%patch0 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1
%patch8 -p1
%patch10 -p1
%patch11 -p1
%patch12 -p1
%patch13 -p1
%patch14 -p1
%patch15 -p1
%patch18 -p1
%patch19 -p1
%patch20 -p1
%patch21 -p1
%patch22 -p1
%patch23 -p1
%patch24 -p1

%patch66 -p1

find -name _dummy | xargs rm
%{__rm} lib/index.html lib/plugins/index.html inc/lang/.htaccess

# we just don't package deleted files, so these get removed automatically on rpm upgrades
%{__rm} data/deleted.files
# source for security.png
%{__rm} data/security.xcf

# use system geshi package
%{__rm} inc/geshi.php
%{__rm} -r inc/geshi

# use system adldap package
%{__rm} inc/adLDAP.php

# use system simplepie package
%{__rm} inc/SimplePie.php

# flash source on git tarballs
rm -rf lib/_fla

# cleanup backups after patching
find . '(' -name '*~' -o -name '*.orig' ')' -print0 | xargs -0 -r -l512 rm -f

%build
md5=$(md5sum -b conf/dokuwiki.php | awk '{print $1}')
if ! grep $md5 install.php; then
	: update %{name}-config.patch -- it is outdated
	exit 1
fi

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_sysconfdir}/{lang,plugin_lang},%{_localstatedir},%{_appdir}/{bin,inc,lib}}

# hardlink test
cp -al VERSION $RPM_BUILD_ROOT%{_appdir} 2>/dev/null && l=l

cp -a$l *.php $RPM_BUILD_ROOT%{_appdir}
cp -p$l VERSION $RPM_BUILD_ROOT%{_appdir}
cp -a$l bin/* $RPM_BUILD_ROOT%{_appdir}/bin
cp -a$l inc/* $RPM_BUILD_ROOT%{_appdir}/inc
cp -a$l lib/* $RPM_BUILD_ROOT%{_appdir}/lib
cp -a$l conf/* $RPM_BUILD_ROOT%{_sysconfdir}
cp -a$l data/* $RPM_BUILD_ROOT%{_localstatedir}
cp -p %{SOURCE1} $RPM_BUILD_ROOT%{_sysconfdir}/apache.conf
cp -p %{SOURCE1} $RPM_BUILD_ROOT%{_sysconfdir}/httpd.conf
cp -p %{SOURCE2} $RPM_BUILD_ROOT%{_sysconfdir}/lighttpd.conf
touch $RPM_BUILD_ROOT%{_sysconfdir}/acronyms.local.conf
touch $RPM_BUILD_ROOT%{_sysconfdir}/entities.local.conf
touch $RPM_BUILD_ROOT%{_sysconfdir}/interwiki.local.conf
touch $RPM_BUILD_ROOT%{_sysconfdir}/license.local.php
touch $RPM_BUILD_ROOT%{_sysconfdir}/plugins.local.php
touch $RPM_BUILD_ROOT%{_sysconfdir}/local.php
touch $RPM_BUILD_ROOT%{_sysconfdir}/local.protected.php
touch $RPM_BUILD_ROOT%{_sysconfdir}/mime.local.conf
touch $RPM_BUILD_ROOT%{_sysconfdir}/smileys.local.conf
touch $RPM_BUILD_ROOT%{_sysconfdir}/userstyle.css

ln $RPM_BUILD_ROOT%{_appdir}/lib/images/interwiki/{dokubug,bug}.gif
cp -p %{SOURCE4} $RPM_BUILD_ROOT%{_appdir}/lib/images/interwiki/eventum.gif
cp -p %{SOURCE7} $RPM_BUILD_ROOT%{_appdir}/lib/images/interwiki/cacti.gif
cp -p %{SOURCE8} $RPM_BUILD_ROOT%{_appdir}/lib/images/interwiki/nagios.gif
cp -p %{SOURCE5} $RPM_BUILD_ROOT%{_appdir}/lib/images/interwiki/skype.png
cp -p %{SOURCE9} $RPM_BUILD_ROOT%{_appdir}/lib/images/interwiki/trac.png
cp -p %{SOURCE10} $RPM_BUILD_ROOT%{_appdir}/lib/images/interwiki/pld.gif

cp -p %{SOURCE3} $RPM_BUILD_ROOT%{_appdir}/lib/images/fileicons/jude.png
cp -p %{SOURCE11} $RPM_BUILD_ROOT%{_appdir}/lib/images/fileicons/asta.png

cp -p %{SOURCE6} $RPM_BUILD_ROOT%{_appdir}/lib/tpl/default/images/button-pld.png

# hardlink identical icons.
findup -m $RPM_BUILD_ROOT

# find locales
%find_lang %{name}.lang

%clean
rm -rf $RPM_BUILD_ROOT

%post setup
chmod 770 %{_sysconfdir}
chmod 660 %{_sysconfdir}/local.php
chmod 660 %{_sysconfdir}/plugins.local.php

%postun setup
if [ "$1" = "0" ]; then
	if [ -f %{_sysconfdir}/dokuwiki.php ]; then
		chmod 750 %{_sysconfdir}
		chmod 640 %{_sysconfdir}/local.php
		chmod 640 %{_sysconfdir}/plugins.local.php
	fi
fi

%triggerin -- apache1 < 1.3.37-3, apache1-base
%webapp_register apache %{_webapp}

%triggerun -- apache1 < 1.3.37-3, apache1-base
%webapp_unregister apache %{_webapp}

%triggerin -- apache < 2.2.0, apache-base
%webapp_register httpd %{_webapp}

%triggerun -- apache < 2.2.0, apache-base
%webapp_unregister httpd %{_webapp}

%triggerin -- lighttpd
%webapp_register lighttpd %{_webapp}

%triggerun -- lighttpd
%webapp_unregister lighttpd %{_webapp}

%pretrans
if [ -d %{_appdir}/data -a ! -L %{_appdir}/data ]; then
	mv -f %{_appdir}/data/* %{_localstatedir}
	rm -rf %{_appdir}/data
fi
if [ -d %{_appdir}/conf -a ! -L %{_appdir}/conf ]; then
	mv -f %{_appdir}/conf/* %{_sysconfdir}
	rm -rf %{_appdir}/conf
fi
exit 0

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc README
%dir %attr(750,root,http) %verify(not mode) %{_sysconfdir}
%dir %attr(750,root,http) %{_sysconfdir}/lang
%dir %attr(750,root,http) %{_sysconfdir}/plugin_lang
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/apache.conf
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/httpd.conf
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/lighttpd.conf

%attr(640,root,http) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/mediameta.php
%attr(660,root,http) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/scheme.conf

%attr(640,root,http) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/acronyms.local.conf
%attr(640,root,http) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/entities.local.conf
%attr(640,root,http) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/interwiki.local.conf
%attr(640,root,http) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/license.local.php
%attr(640,root,http) %config(noreplace) %verify(not md5 mtime size mode) %{_sysconfdir}/local.php
%attr(640,root,http) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/local.protected.php
%attr(640,root,http) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/mime.local.conf
%attr(640,root,http) %config(noreplace) %verify(not md5 mtime size mode) %{_sysconfdir}/plugins.local.php
%attr(640,root,http) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/smileys.local.conf
%attr(640,root,http) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/userstyle.css

# use local.php, local.protected.php, etc for local changes
%attr(640,root,http) %config %verify(not md5 mtime size) %{_sysconfdir}/acronyms.conf
%attr(640,root,http) %config %verify(not md5 mtime size) %{_sysconfdir}/entities.conf
%attr(640,root,http) %config %verify(not md5 mtime size) %{_sysconfdir}/interwiki.conf
%attr(640,root,http) %config %verify(not md5 mtime size) %{_sysconfdir}/mime.conf
%attr(640,root,http) %config %verify(not md5 mtime size) %{_sysconfdir}/smileys.conf

%attr(640,root,http) %config %verify(not md5 mtime size) %{_sysconfdir}/dokuwiki.php
%attr(640,root,http) %config %verify(not md5 mtime size) %{_sysconfdir}/license.php
%attr(640,root,http) %config %verify(not md5 mtime size) %{_sysconfdir}/plugins.required.php

# samples. perhaps move to %doc instead?
%attr(640,root,http) %{_sysconfdir}/mysql.conf.php.example
%attr(640,root,http) %{_sysconfdir}/acl.auth.php.dist
%attr(640,root,http) %{_sysconfdir}/wordblock.conf
%attr(640,root,http) %{_sysconfdir}/local.php.dist
%attr(640,root,http) %{_sysconfdir}/users.auth.php.dist

%dir %{_appdir}
%{_appdir}/VERSION
%{_appdir}/doku.php
%{_appdir}/feed.php
%{_appdir}/index.php
%dir %{_appdir}/bin
%attr(755,root,root) %{_appdir}/bin/dwpage.php
%attr(755,root,root) %{_appdir}/bin/indexer.php
%attr(755,root,root) %{_appdir}/bin/render.php
%attr(755,root,root) %{_appdir}/bin/wantedpages.php
%attr(755,root,root) %{_appdir}/bin/striplangs.php

%dir %{_appdir}/inc
%{_appdir}/inc/*.php
%{_appdir}/inc/auth
%{_appdir}/inc/parser

%dir %{_appdir}/lib
%dir %{_appdir}/lib/plugins
%dir %{_appdir}/lib/plugins/acl
%{_appdir}/lib/plugins/acl/*.*
%{_appdir}/lib/plugins/acl/pix
%dir %{_appdir}/lib/plugins/config
%{_appdir}/lib/plugins/config/*.*
%{_appdir}/lib/plugins/config/images
%{_appdir}/lib/plugins/config/settings
%dir %{_appdir}/lib/plugins/plugin
%{_appdir}/lib/plugins/plugin/*.*
%{_appdir}/lib/plugins/plugin/classes
%dir %{_appdir}/lib/plugins/revert
%{_appdir}/lib/plugins/revert/*.*
%dir %{_appdir}/lib/plugins/safefnrecode
%{_appdir}/lib/plugins/safefnrecode/*.*
%dir %{_appdir}/lib/plugins/usermanager
%{_appdir}/lib/plugins/usermanager/*.*
%{_appdir}/lib/plugins/usermanager/images
%dir %{_appdir}/lib/plugins/info
%{_appdir}/lib/plugins/info/*.*
%dir %{_appdir}/lib/plugins/popularity
%{_appdir}/lib/plugins/popularity/*.*
%{_appdir}/lib/plugins/*.php
%{_appdir}/lib/images
%{_appdir}/lib/scripts
%{_appdir}/lib/styles
%{_appdir}/lib/tpl
%{_appdir}/lib/exe

%dir %attr(770,root,http) %{_localstatedir}
%dir %attr(770,root,http) %{_localstatedir}/attic
%dir %attr(770,root,http) %{_localstatedir}/cache
%dir %attr(770,root,http) %{_localstatedir}/index
%dir %attr(770,root,http) %{_localstatedir}/locks
%dir %attr(770,root,http) %{_localstatedir}/media
%dir %attr(770,root,http) %{_localstatedir}/media_attic
%dir %attr(770,root,http) %{_localstatedir}/media_meta
%dir %attr(770,root,http) %{_localstatedir}/media/wiki
%dir %attr(770,root,http) %{_localstatedir}/meta
%dir %attr(770,root,http) %{_localstatedir}/pages
%dir %attr(770,root,http) %{_localstatedir}/pages/playground
%dir %attr(770,root,http) %{_localstatedir}/pages/wiki
%dir %attr(770,root,http) %{_localstatedir}/tmp

%attr(660,root,http) %config(noreplace,missingok) %verify(not md5 mtime size) %{_localstatedir}/media/wiki/dokuwiki-128.png
%attr(660,root,http) %config(noreplace,missingok) %verify(not md5 mtime size) %{_localstatedir}/pages/wiki/dokuwiki.txt
%attr(660,root,http) %config(noreplace,missingok) %verify(not md5 mtime size) %{_localstatedir}/pages/wiki/syntax.txt
%attr(660,root,http) %config(noreplace,missingok) %verify(not md5 mtime size) %{_localstatedir}/pages/playground/playground.txt
%attr(660,root,http) %config(noreplace,missingok) %verify(not md5 mtime size) %{_localstatedir}/security.png

%files setup
%defattr(644,root,root,755)
%{_appdir}/install.php

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: dokuwiki.spec,v $
Revision 1.106  2012/06/12 19:36:37  glen
- up to 2012-01-25a hotfix, released 2012/04/19
  Fixes/changes: XSS security (issue 2487)[http://bugs.dokuwiki.org/index.php?do=details&task_id=2487]

Revision 1.105  2012/02/11 13:44:29  glen
- add icon to export pdf

Revision 1.104  2012/02/11 13:22:16  glen
- adopt more buttons patch from dokuwiki-tpl-sidebar

Revision 1.103  2012/01/27 07:42:17  glen
- up to 2012-01-25 Angua release

Revision 1.102  2012/01/06 09:41:36  glen
- mature enough; rel 1

Revision 1.101  2012/01/06 09:26:36  glen
- obsoletes jquery plugin
- package conf/plugins.local.php

Revision 1.100  2011/11/24 19:59:52  glen
- install speedup via hardlinks; cleanups

Revision 1.99  2011/11/24 19:55:59  glen
- adjust and apply backlinks to rightside patch

Revision 1.98  2011/11/24 19:50:57  glen
- todo done

Revision 1.97  2011/11/23 20:27:43  glen
- up to 2011-11-10 rc

Revision 1.96  2011/10/01 22:47:47  adamg
- updated to 2011-05-25a

Revision 1.95  2011/07/25 10:10:10  glen
- package %{_sysconfdir}/{lang,plugin_lang}, see:
  http://www.dokuwiki.org/localization#changing_localized_texts_in_your_installation

Revision 1.94  2011/06/08 08:38:53  jajcus
- Version: 2011-05-25 ('Rincewind' stable)

Revision 1.93  2011/05/16 09:11:26  glen
- rc2 2011-05-08

Revision 1.92  2011/04/26 21:57:12  glen
- up to 2011-04-22 rc1

Revision 1.91  2011/03/29 06:06:48  glen
- up to 2010-11-07a

Revision 1.90  2011/01/21 14:13:41  glen
- nice upstream patch

Revision 1.89  2010/12/14 16:50:20  glen
- use $USERINFO in early init (fixed in git already); 2

Revision 1.88  2010/11/07 21:11:17  glen
- up to 2010-11-07 release

Revision 1.87  2010/11/05 17:16:58  glen
- add icon for astah (*.asta) files
- hardlink identical icons

Revision 1.86  2010/10/28 11:21:03  glen
- 2010-10-27 rc

Revision 1.85  2010/10/07 19:29:29  glen
- up to 2010-10-07 rc1

Revision 1.84  2010/09/18 10:33:30  blekot
- R: php-session
- rel 10
- thx Adam Mikuta <adammikuta at gmail dot com>

Revision 1.83  2010/05/11 15:19:23  glen
- rebuild after cvsnt corrupted pld.gif, CVSROOT/cvswrappers rules are nothing to it apparently

Revision 1.82  2010/05/07 09:09:17  glen
- add pld icon to interwiki (converted from ico with gimp); rel 8

Revision 1.81  2010/04/29 12:54:06  glen
- make friends with smblink plugin; rel 7

Revision 1.80  2010/03/26 09:13:04  glen
- add trac interwiki icon; rel 6

Revision 1.79  2010/03/18 11:52:34  glen
- add 16x16 transparent interwiki icons for nagios and cacti. rel 5

Revision 1.78  2010/03/10 10:51:06  glen
- package VERSION file for "~~INFO:version~~" syntax; rel 4

Revision 1.77  2010/01/22 16:58:25  glen
- cve refs from 20091225b

Revision 1.76  2010/01/18 10:39:41  glen
- silly typo (how many times i have to fix it?)

Revision 1.75  2010/01/18 10:38:54  glen
- missing dir; rel 3

Revision 1.74  2010/01/18 00:37:48  glen
- up to 20091225c; rel 2
  fixes CVE-2010-0287 CVE-2010-0288 CVE-2010-0289

Revision 1.73  2010/01/11 13:13:13  glen
- release 1

Revision 1.72  2010/01/11 13:13:08  glen
- bcmath optional

Revision 1.71  2010/01/11 13:02:54  glen
- adldap optional

Revision 1.70  2010/01/11 12:49:52  glen
- use system adldap package

Revision 1.69  2010/01/11 12:37:10  glen
- add $r1, $r2 GET params support in diff action

Revision 1.68  2010/01/04 18:19:56  glen
- up to 2009-12-25 release

Revision 1.67  2010/01/04 16:13:43  glen
- new dep preparation

Revision 1.66  2009/12/07 19:14:01  glen
- no md5 for files in cvs

Revision 1.65  2009/12/07 19:01:55  glen
- build with php autodep solver

Revision 1.64  2009/12/07 18:57:41  glen
- 5.1.2 is minimum php version

Revision 1.63  2009/12/07 18:51:03  glen
- up to 2009-12-02 “Mulled Wine” (RC1)

Revision 1.62  2009/12/07 18:45:54  glen
- 2009-11-16 snap

Revision 1.61  2009/11/10 20:10:00  glen
- versioned source

Revision 1.60  2009/11/10 14:23:37  glen
- rm darcs backups

Revision 1.59  2009/11/10 14:20:19  glen
- fixprivilegeescalationbug.diff from debian

Revision 1.58  2009/11/10 14:09:06  glen
- add pld branding patch (idea from debian)

Revision 1.57  2009/11/10 14:08:18  glen
- update to today snapshot (20091110)

Revision 1.56  2009/11/10 06:10:04  glen
- allow empty config file to proceed installation as we package default config empty in first install

Revision 1.55  2009/10/13 01:20:22  glen
- silently check if plugin exists; rel 7

Revision 1.54  2009/08/31 11:26:19  glen
- set memory limit and unify cli apps

Revision 1.53  2009/08/03 15:15:35  glen
- use system simplepie package; rel 6

Revision 1.52  2009/07/28 13:55:05  glen
- add interwiki-outputonly.patch; rel 5

Revision 1.51  2009/06/16 12:52:34  glen
- make inc/lang/en/edit.txt as %config; rel 4

Revision 1.50  2009/06/16 11:28:05  glen
- package %{_sysconfdir}/userstyle.css; rel 3

Revision 1.49  2009/06/15 20:46:14  glen
- use dokuwiki-find-lang from rpm-build-macros

Revision 1.48  2009/06/15 20:43:35  glen
- export DOKU_DATA to plugins; rel 2

Revision 1.47  2009/05/28 09:12:10  paszczus
- updated to 2009-02-14b, fixes http://bugs.splitbrain.org/index.php?do=details&task_id=1700

Revision 1.46  2009/05/28 09:05:12  paszczus
- updated dokuwiki-config.patch; rel 3

Revision 1.45  2009/04/15 12:57:56  glen
- add skype icon to interwiki dir

Revision 1.44  2009/03/12 20:44:37  glen
- add -media-directlink.patch; rel 2

Revision 1.43  2009/02/19 09:30:00  jajcus
- Version: 2009-02-14 (stable)

Revision 1.42  2009/02/07 09:55:58  paszczus
- updated to rc2009-02-06

Revision 1.41  2009/01/30 14:25:40  glen
- up to rc2009-01-30

Revision 1.40  2009/01/27 14:33:27  glen
- up to 2009-01-26 rc

Revision 1.39  2008/11/20 14:16:58  glen
- add mail threading headers for notify emails; rel 3

Revision 1.38  2008/11/19 15:41:21  glen
- add page id based notify address patch
- on setup pkg uninstall dokuwiki.php could be already missing

Revision 1.37  2008/11/18 13:53:00  glen
- R: webserver(access)

Revision 1.36  2008/08/18 18:14:13  glen
- release 1

Revision 1.35  2008/08/18 18:09:16  glen
- merge update to 20080505 from DEVEL (branch: 1.3.2)

Revision 1.34  2008/06/17 05:11:53  glen
- cleanup

Revision 1.33  2008/05/12 16:09:43  glen
- more useful diff to mails; rel 3

Revision 1.32  2008-04-01 18:40:37  glen
- release 2 (1 for ac)

Revision 1.31  2008-03-11 17:14:14  glen
- fix access to user info on media upload

Revision 1.30  2008-03-10 10:58:19  glen
- rel 1

Revision 1.29  2008-03-09 17:45:00  glen
- added eventum.gif to cvs

Revision 1.28  2008-03-04 09:32:43  glen
- add eventum interwiki icon

Revision 1.27  2008-02-25 18:46:40  glen
- respect also minor changes for notify

Revision 1.26  2008-02-25 14:41:20  glen
- mail header encode fix: put double quotes outside the encoding. fixes evolution display.

Revision 1.25  2008-02-21 16:29:34  glen
- exit with non-zero on error patch

Revision 1.24  2008-02-14 10:57:14  glen
- add icon for *.jude

Revision 1.23  2008-01-25 10:54:19  glen
- all *.conf support .local.conf variants

Revision 1.22  2008-01-23 13:49:20  glen
- can gz compress attic pages

Revision 1.21  2008-01-11 17:53:45  qboosh
- unified DokuWiki spelling

Revision 1.20  2008-01-08 14:01:49  glen
- use shared script for find-lang

Revision 1.19  2008-01-08 13:57:39  glen
- %lang entries

Revision 1.18  2007-12-18 23:00:28  glen
- add local.php, local.protected.php to package

Revision 1.17  2007-12-18 22:50:08  glen
- add http_auth param support

Revision 1.16  2007-11-29 10:14:53  glen
- really use properly system geshi

Revision 1.15  2007-11-19 23:51:20  glen
- add -config-allow-require.patch

Revision 1.14  2007-11-09 18:16:39  glen
- requires xml php extension for utf8_decode()

Revision 1.13  2007-11-09 18:10:46  glen
- deps from http://wiki.splitbrain.org/wiki:requirements

Revision 1.12  2007-11-09 18:07:16  glen
- allow empty mysql passwords

Revision 1.11  2007-11-09 16:55:00  glen
- use system geshi

Revision 1.10  2007/08/19 23:23:42  glen
- plain %config at least

Revision 1.9  2007/08/19 17:46:13  glen
- provide default icons for [[bug>]] and [[issue>]]
- remove %config(noreplace) for files which have .local file support

Revision 1.8  2007/08/19 16:55:04  glen
- added -setup package

Revision 1.7  2007/08/19 14:14:40  glen
- R: webserver(alias)

Revision 1.6  2007/08/19 13:56:50  glen
- add lighttpd config

Revision 1.5  2007/08/17 23:54:30  glen
- samples will be overwritten
- sane file permissions

Revision 1.4  2007/08/17 21:29:15  glen
- FHS, preserve config files

Revision 1.3  2007/08/03 18:02:54  qboosh
- pl

Revision 1.2  2007/07/27 12:31:41  paszczus
- ups, proper URL

Revision 1.1  2007/07/27 12:20:37  paszczus
- initial spec
